package com.bonus.canteen.core.notice.print.v2.vo;

import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;
import java.util.List;

public class NoticePrintTemplateVO {
   @ApiModelProperty("模版id")
   private Long templateId;
   @ApiModelProperty("模版名称")
   private String templateName;
   @ApiModelProperty("打印机类型")
   private Integer deviceType;
   @ApiModelProperty("是否默认(1:是，2:否)")
   private Integer ifDefault;
   @ApiModelProperty("打印场景（001:下单退单，002:余额变动）")
   private String printScene;
   @ApiModelProperty("打印类型（001001:食堂/档口下单，001002:食堂/档口退单，001003:商超下单，001004:商超退单，002001:充值，002002:提现）")
   private String printType;
   @ApiModelProperty("打印模式（1:订单，2:明细）")
   private Integer templateModel;
   @ApiModelProperty("打印纸张大小 标签打印机使用（60,40），(40,30) 两种")
   private String templateSize;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;
   @ApiModelProperty("字段设置")
   private List<NoticePrintTemplateSettingVO> settingList;

   public Long getTemplateId() {
      return this.templateId;
   }

   public String getTemplateName() {
      return this.templateName;
   }

   public Integer getDeviceType() {
      return this.deviceType;
   }

   public Integer getIfDefault() {
      return this.ifDefault;
   }

   public String getPrintScene() {
      return this.printScene;
   }

   public String getPrintType() {
      return this.printType;
   }

   public Integer getTemplateModel() {
      return this.templateModel;
   }

   public String getTemplateSize() {
      return this.templateSize;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public List<NoticePrintTemplateSettingVO> getSettingList() {
      return this.settingList;
   }

   public void setTemplateId(final Long templateId) {
      this.templateId = templateId;
   }

   public void setTemplateName(final String templateName) {
      this.templateName = templateName;
   }

   public void setDeviceType(final Integer deviceType) {
      this.deviceType = deviceType;
   }

   public void setIfDefault(final Integer ifDefault) {
      this.ifDefault = ifDefault;
   }

   public void setPrintScene(final String printScene) {
      this.printScene = printScene;
   }

   public void setPrintType(final String printType) {
      this.printType = printType;
   }

   public void setTemplateModel(final Integer templateModel) {
      this.templateModel = templateModel;
   }

   public void setTemplateSize(final String templateSize) {
      this.templateSize = templateSize;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setSettingList(final List<NoticePrintTemplateSettingVO> settingList) {
      this.settingList = settingList;
   }

}
